Package tigase.server.cluster.strategy.cmd

# Class RespondSyncOnlineCmd

java.lang.Object
tigase.cluster.api.CommandListenerAbstract
tigase.server.cluster.strategy.cmd.CachingCmdAbstract
tigase.server.cluster.strategy.cmd.TrafficSyncCmdAbstract
tigase.server.cluster.strategy.cmd.RespondSyncOnlineCmd

All Implemented Interfaces:
  `Comparable<tigase.cluster.api.CommandListener>`, `tigase.cluster.api.CommandListener`

public class RespondSyncOnlineCmd extends TrafficSyncCmdAbstract

Author:
  kobit

- ## Field Summary

  ### Fields inherited from class tigase.server.cluster.strategy.cmd.CachingCmdAbstract

  `CONNECTION_ID, CREATION_TIME, LOGIN_TIME, PRESENCE_TYPE_INITIAL, PRESENCE_TYPE_KEY, RESOURCE, SM_ID, USER_ID, XMPP_SESSION_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RespondSyncOnlineCmd(String name, OnlineUsersCachingStrategy strat)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `executeCommand(tigase.xmpp.jid.JID fromNode, Set<tigase.xmpp.jid.JID> visitedNodes, Map<String,String> data, Queue<tigase.xml.Element> elements)`
  Method is responsible for processing response to synchronisation request.

  ### Methods inherited from class tigase.server.cluster.strategy.cmd.TrafficSyncCmdAbstract

  `getSyncInTraffic, getSyncOutTraffic, incSyncInTraffic, incSyncOutTraffic`

  ### Methods inherited from class tigase.server.cluster.strategy.cmd.CachingCmdAbstract

  `getConnectionRecord, getStrategy`

  ### Methods inherited from class tigase.cluster.api.CommandListenerAbstract

  `compareTo, equals, getName, getPriority, getStatistics, hashCode, setName, setPriority`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RespondSyncOnlineCmd

    public RespondSyncOnlineCmd(String name, OnlineUsersCachingStrategy strat)

- ## Method Details

  - ### executeCommand

    public void executeCommand(tigase.xmpp.jid.JID fromNode, Set<tigase.xmpp.jid.JID> visitedNodes, Map<String,String> data, Queue<tigase.xml.Element> elements) throws tigase.cluster.api.ClusterCommandException
    Method is responsible for processing response to synchronisation request. For empty responses it simply sets status of the cache to synchronised state. For responses containing data, elements are processed and included into local connections cache subsequently marking it as synchronised.
    Parameters:
      `fromNode` - `JID` of the originating node from which response came.
      `visitedNodes` - `Set` containing `JID` of all already visited nodes
      `data` - additional data
      `elements` - response data, either null for empty set or collection of containing information about Connection IDs (CIDs) of all users JIDs from the given original node.
    Throws:
      `tigase.cluster.api.ClusterCommandException`